# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: fmm_message.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf.internal import enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='fmm_message.proto',
  package='protoblog',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x11\x66mm_message.proto\x12\tprotoblog\"\xd1\x04\n\x0b\x46MM_Message\x12$\n\x08msg_type\x18\x01 \x01(\x0e\x32\x12.protoblog.MsgType\x12\x0b\n\x03ttl\x18\x02 \x01(\x05\x12\x11\n\ttime_span\x18\x03 \x03(\x03\x12\n\n\x02id\x18\x04 \x01(\t\x12\x0e\n\x06sender\x18\x05 \x01(\t\x12\x11\n\tis_answer\x18\x06 \x01(\x08\x12\r\n\x05value\x18\x07 \x03(\x05\x12\x11\n\tanswer_to\x18\x08 \x01(\t\x12\x10\n\x08receiver\x18\t \x01(\t\x12\x12\n\nproduct_id\x18\n \x01(\t\x12\x10\n\x08offer_id\x18\x0b \x01(\t\x12\x15\n\rbool_positive\x18\x0c \x01(\x08\x12\x10\n\x08interval\x18\r \x01(\x05\x12\x0b\n\x03\x64\x61y\x18\x0e \x01(\t\x12\x31\n\x06tender\x18\x0f \x03(\x0b\x32!.protoblog.FMM_Message.TenderList\x12\x12\n\nprice_cent\x18\x10 \x01(\x02\x12\x14\n\x0c\x62ool_success\x18\x11 \x01(\x08\x12\x15\n\rdenial_reason\x18\x12 \x01(\t\x12\x18\n\x10\x66inal_price_cent\x18\x13 \x01(\x02\x12\x0e\n\x06\x61mount\x18\x14 \x01(\x01\x12*\n\x0bmarket_type\x18\x15 \x01(\x0e\x32\x15.protoblog.MarketType\x12\x0e\n\x06\x62locks\x18\x16 \x01(\x05\x12\x10\n\x08\x64\x65\x61\x64line\x18\x17 \x01(\x05\x12\x14\n\x0cintroduction\x18\x18 \x01(\t\x1a;\n\nTenderList\x12\x0e\n\x06\x61mount\x18\x01 \x01(\x01\x12\x1d\n\x15price_per_amount_cent\x18\x02 \x01(\x01*\xa5\x01\n\x07MsgType\x12\x0b\n\x07OP_PROD\x10\x00\x12\t\n\x05OFFER\x10\x01\x12\x0c\n\x08TEND_RES\x10\x02\x12\r\n\tTEND_CONF\x10\x03\x12\x0c\n\x08TEND_REJ\x10\x04\x12\x0c\n\x08\x46IN_CONF\x10\x05\x12\n\n\x06\x43\x41NCEL\x10\x06\x12\x08\n\x04SELL\x10\x07\x12\x07\n\x03\x41\x43\x43\x10\x08\x12\x08\n\x04\x44\x45NY\x10\t\x12\x0e\n\nMARKET_RET\x10\n\x12\x10\n\x0cINTRODUCTION\x10\x0b*W\n\nMarketType\x12\x07\n\x03SRL\x10\x00\x12\x07\n\x03MRL\x10\x01\x12\r\n\tDAY_AHEAD\x10\x02\x12\x14\n\x10INTRADAY_AUCTION\x10\x03\x12\x12\n\x0eINTRADAY_TRADE\x10\x04\x62\x06proto3')
)

_MSGTYPE = _descriptor.EnumDescriptor(
  name='MsgType',
  full_name='protoblog.MsgType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='OP_PROD', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='OFFER', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='TEND_RES', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='TEND_CONF', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='TEND_REJ', index=4, number=4,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='FIN_CONF', index=5, number=5,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CANCEL', index=6, number=6,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='SELL', index=7, number=7,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ACC', index=8, number=8,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DENY', index=9, number=9,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='MARKET_RET', index=10, number=10,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INTRODUCTION', index=11, number=11,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=629,
  serialized_end=794,
)
_sym_db.RegisterEnumDescriptor(_MSGTYPE)

MsgType = enum_type_wrapper.EnumTypeWrapper(_MSGTYPE)
_MARKETTYPE = _descriptor.EnumDescriptor(
  name='MarketType',
  full_name='protoblog.MarketType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='SRL', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='MRL', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DAY_AHEAD', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INTRADAY_AUCTION', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INTRADAY_TRADE', index=4, number=4,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=796,
  serialized_end=883,
)
_sym_db.RegisterEnumDescriptor(_MARKETTYPE)

MarketType = enum_type_wrapper.EnumTypeWrapper(_MARKETTYPE)
OP_PROD = 0
OFFER = 1
TEND_RES = 2
TEND_CONF = 3
TEND_REJ = 4
FIN_CONF = 5
CANCEL = 6
SELL = 7
ACC = 8
DENY = 9
MARKET_RET = 10
INTRODUCTION = 11
SRL = 0
MRL = 1
DAY_AHEAD = 2
INTRADAY_AUCTION = 3
INTRADAY_TRADE = 4



_FMM_MESSAGE_TENDERLIST = _descriptor.Descriptor(
  name='TenderList',
  full_name='protoblog.FMM_Message.TenderList',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='amount', full_name='protoblog.FMM_Message.TenderList.amount', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='price_per_amount_cent', full_name='protoblog.FMM_Message.TenderList.price_per_amount_cent', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=567,
  serialized_end=626,
)

_FMM_MESSAGE = _descriptor.Descriptor(
  name='FMM_Message',
  full_name='protoblog.FMM_Message',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='msg_type', full_name='protoblog.FMM_Message.msg_type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='ttl', full_name='protoblog.FMM_Message.ttl', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='time_span', full_name='protoblog.FMM_Message.time_span', index=2,
      number=3, type=3, cpp_type=2, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='id', full_name='protoblog.FMM_Message.id', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='sender', full_name='protoblog.FMM_Message.sender', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='is_answer', full_name='protoblog.FMM_Message.is_answer', index=5,
      number=6, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='value', full_name='protoblog.FMM_Message.value', index=6,
      number=7, type=5, cpp_type=1, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='answer_to', full_name='protoblog.FMM_Message.answer_to', index=7,
      number=8, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='receiver', full_name='protoblog.FMM_Message.receiver', index=8,
      number=9, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='product_id', full_name='protoblog.FMM_Message.product_id', index=9,
      number=10, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='offer_id', full_name='protoblog.FMM_Message.offer_id', index=10,
      number=11, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='bool_positive', full_name='protoblog.FMM_Message.bool_positive', index=11,
      number=12, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='interval', full_name='protoblog.FMM_Message.interval', index=12,
      number=13, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='day', full_name='protoblog.FMM_Message.day', index=13,
      number=14, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='tender', full_name='protoblog.FMM_Message.tender', index=14,
      number=15, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='price_cent', full_name='protoblog.FMM_Message.price_cent', index=15,
      number=16, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='bool_success', full_name='protoblog.FMM_Message.bool_success', index=16,
      number=17, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='denial_reason', full_name='protoblog.FMM_Message.denial_reason', index=17,
      number=18, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='final_price_cent', full_name='protoblog.FMM_Message.final_price_cent', index=18,
      number=19, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='amount', full_name='protoblog.FMM_Message.amount', index=19,
      number=20, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='market_type', full_name='protoblog.FMM_Message.market_type', index=20,
      number=21, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='blocks', full_name='protoblog.FMM_Message.blocks', index=21,
      number=22, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='deadline', full_name='protoblog.FMM_Message.deadline', index=22,
      number=23, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='introduction', full_name='protoblog.FMM_Message.introduction', index=23,
      number=24, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_FMM_MESSAGE_TENDERLIST, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=33,
  serialized_end=626,
)

_FMM_MESSAGE_TENDERLIST.containing_type = _FMM_MESSAGE
_FMM_MESSAGE.fields_by_name['msg_type'].enum_type = _MSGTYPE
_FMM_MESSAGE.fields_by_name['tender'].message_type = _FMM_MESSAGE_TENDERLIST
_FMM_MESSAGE.fields_by_name['market_type'].enum_type = _MARKETTYPE
DESCRIPTOR.message_types_by_name['FMM_Message'] = _FMM_MESSAGE
DESCRIPTOR.enum_types_by_name['MsgType'] = _MSGTYPE
DESCRIPTOR.enum_types_by_name['MarketType'] = _MARKETTYPE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

FMM_Message = _reflection.GeneratedProtocolMessageType('FMM_Message', (_message.Message,), dict(

  TenderList = _reflection.GeneratedProtocolMessageType('TenderList', (_message.Message,), dict(
    DESCRIPTOR = _FMM_MESSAGE_TENDERLIST,
    __module__ = 'fmm_message_pb2'
    # @@protoc_insertion_point(class_scope:protoblog.FMM_Message.TenderList)
    ))
  ,
  DESCRIPTOR = _FMM_MESSAGE,
  __module__ = 'fmm_message_pb2'
  # @@protoc_insertion_point(class_scope:protoblog.FMM_Message)
  ))
_sym_db.RegisterMessage(FMM_Message)
_sym_db.RegisterMessage(FMM_Message.TenderList)


# @@protoc_insertion_point(module_scope)
